Skip to main content
`Ctrl`+`K`

# PetscHMapIJGet

Get the value for a key in the hash table

## Synopsis

    #include <petsc/private/hashmapij.h>
    PetscErrorCode PetscHMapIJGet(PetscHMapIJ ht, struct {PetscInt i, j;} key, PetscScalar *val)

## Input Parameters

- ht - The hash table

- key - The key

## Output Parameter

- val - The value

## See Also

`PetscHMapIJSet()`, `PetscHMapIJSetWithMode()`, `PetscHMapIJIterGet()`, `PetscHMapIJGetWithDefault()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages